kopano-srvadm(8)

Name
kopano-srvadm — server management utility

Synopsis
kopano-srvadm [-c config] [-h host] command

Description

This tool is used to control certain aspects of the Kopano server, specifically internal state.

Options

-c config-file
    Location of a config file to read.

Default: /etc/kopano/admin.cfg

-h host
    URI for a specific server to connect to and execute the action on.

Default: default:

Commands

--clear-cache pool[,pool...]
    Flushes one or more of the server's cache pools. The argument shall be a comma-separated list of pool names, which can be: quota, quotadefault, object, store, acl, cell, index1, index2, indexedproperty, userobject, externid, userdetail, server, or the magic value all. Although this operation never causes any data loss, it can affect the performance of the server, since any data requested after the cache has been cleared needs to be re-requested from the database or LDAP server. Normally, this option is never needed; it is mostly used as a diagnostic.

--ct-create=num
    For cache testing, create this many dummy messages in the admin store root.

--ct-read
    For cache testing, read all messages in the admin store's root (as created by --ct-create) back into the cache.

--ct-size=bytes
    For --ct-create, specifies the size of the bodytext.

--purge-deferred
    This srvadm command can be used to purge the "deferredupdate" SQL table (see kopano-server.cfg(5):max_deferred_records for details) and trigger the writeback from the "properties" to the "tproperties" table.

--purge-softdelete days
    Starts a softdelete purge on the server, removing all soft-deleted items which have been deleted and which are older than the specified number of days.

See also

kopano-admin.cfg(5)